opal/util/numtostr.h File Reference.TH "opal/util/numtostr.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/util/numtostr.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC char * \fBopal_ltostr\fP (long num)"
.br
.RI "\fIConvert a long integer to a char* string. \fP"
.ti -1c
.RI "OMPI_DECLSPEC char * \fBopal_dtostr\fP (double num)"
.br
.RI "\fIConvert a double to a char* string. \fP"
.in -1c
.SH "Detailed Description"
.PP 

.SH "Function Documentation"
.PP 
.SS "OMPI_DECLSPEC char* opal_dtostr (double num)"
.PP
Convert a double to a char* string. 
.PP
The returned buffer is allocated by calling malloc() and must be freed by the caller.
.PP
\fBParameters:\fP
.RS 4
\fInum\fP (IN) Input number 
.RE
.PP
\fBReturns:\fP
.RS 4
String containing number (NULL on failure) 
.RE
.PP

.SS "OMPI_DECLSPEC char* opal_ltostr (long num)"
.PP
Convert a long integer to a char* string. 
.PP
The returned buffer is allocated by calling malloc() and must be freed by the caller.
.PP
\fBParameters:\fP
.RS 4
\fInum\fP (IN) Input number 
.RE
.PP
\fBReturns:\fP
.RS 4
String containing number (NULL on failure) 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
